Details

    • Type: Bug Bug
    • Status: Closed Closed (View Workflow)
    • Priority: Major Major
    • Resolution: Done
    • Affects Version/s: 3.2.0.M2
    • Fix Version/s: 3.2.0.Beta2
    • Component/s: hibernate
    • Labels:
      None
    • Environment:
      jbosstools-3.2.0.M2.aggregate-Update-2010-09-08_17-17-54-H243a.zip
    • Similar Issues:
      Show 10 results 

      Description

      I'm using an orm.xml file with a JPA 2.0 declaration :
      <entity-mappings xmlns="http://java.sun.com/xml/ns/persistence/orm"
      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
      xsi:schemaLocation="http://java.sun.com/xml/ns/persistence/orm http://java.sun.com/xml/ns/persistence/orm_2_0.xsd"
      version="2.0">
      </entity-mappings>

      When I create a Hibernate configuration (database connection is reused from DTP and property file is an existing one), then I get the following stacktrace. I thought that https://jira.jboss.org/browse/JBIDE-6842 had fixed this issue.

      org.hibernate.console.HibernateConsoleRuntimeException: Could not create JPA based Configuration
      Could not create JPA based Configuration
      <No message>
      java.lang.reflect.InvocationTargetException
      java.lang.reflect.InvocationTargetException: <no message>
      java.lang.reflect.InvocationTargetException
      javax.persistence.PersistenceException: [PersistenceUnit: hskaPersistence] Unable to configure EntityManagerFactory
      [PersistenceUnit: hskaPersistence] Unable to configure EntityManagerFactory
      org.hibernate.MappingException: Error while parsing file: META-INF/orm.xml
      Error while parsing file: META-INF/orm.xml
      org.hibernate.MappingException: invalid mapping
      invalid mapping
      org.xml.sax.SAXParseException: cvc-complex-type.3.1: Value '2.0' of attribute 'version' of element 'entity-mappings' is not valid with respect to the corresponding attribute use. Attribute 'version' has a fixed value of '1.0'.
      cvc-complex-type.3.1: Value '2.0' of attribute 'version' of element 'entity-mappings' is not valid with respect to the corresponding attribute use. Attribute 'version' has a fixed value of '1.0'.

        Activity

        Show
        Isaac Hodnett
        added a comment - http://opensource.atlassian.com/projects/hibernate/browse/HHH-5310
        Hide
        Dmitry Geraskov
        added a comment -

        The issue is marked as Fixed in Hibernate 3.5.6. And we use this version for building console configuration. If you anyway has the problem, please add test case here.

        Show
        Dmitry Geraskov
        added a comment - The issue is marked as Fixed in Hibernate 3.5.6. And we use this version for building console configuration. If you anyway has the problem, please add test case here.
        Hide
        Jiri Peterka
        added a comment -

        Unable to simulate, seems fixed fixed in JBDS 4.0.0.beta2 h12, Fedora 14. Tried with mySQL 5.1 DS

        Show
        Jiri Peterka
        added a comment - Unable to simulate, seems fixed fixed in JBDS 4.0.0.beta2 h12, Fedora 14. Tried with mySQL 5.1 DS

          People

          • Assignee:
            Dmitry Geraskov
            Reporter:
            Juergen Zimmermann
          • Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: